==============================================================================
 バージョンアップ内容 (ファイル名：history.txt)  http://www.kensoft.co.jp/
     本文中略式文字   新)新規機能   変)仕様変更   修)不具合等修正
==============================================================================
2008/10/27 V9.58→V9.59

修) ネットバンキング取り込み時に備考の全角文字が入力できなかったのを修正。

2008/6/29 V9.57→V9.58

修) ダウンロードファイルの発行元の証明書を更新。

2008/6/29 V9.57→V9.58

修) ダウンロードファイルの発行元の証明書を更新。

2008/4/5 V9.56→V9.57

変) Moneyデータの取り込み時に備考欄を変更できるようにした。
変) 国民の休日や振り替え休日の変更への対処。

2007/4/17 V9.55→V9.56

修) メールデータの取込時にエラーがある場合は、できるだけ表示するようにした。
変) 本店移転のため住所等の変更をした。

2007/1/10 V9.54→V9.55

修) UFJカードのネットバンキングデータ取り込みに対応。
修) テキストファイル入力で項目が無い場合に取り込みできない問題を修正。

2007/1/6 V9.53→V9.54

変) 詳細窓や検索窓などマイナス金額をできるだけ赤表示するようにした。
修) いくつかの画面でヘルプが表示されなくなっていたのを修正。

2006/11/10 V9.52→V9.53

修) キーカスタマイズ設定用のView.Keyファイルが起動時に常に初期化されるのを修正。修) 収入項目のメールデータが取り込めないのを修正。

2006/10/16 V9.50→V9.52

新) Windows Vistaへ対応した。
新) インターネットバンキングの取込で実消費の備考欄に利用明細が入るようにした。
修) 出納帳モードのデータの貼り付けで表示がすぐ更新されなくなっていたのを修正。

2006/8/20 V9.33→V9.50

新) 入力データをメールから直接取り込む機能をツールメニューに追加。
変) 品名入力窓の文字を検索のキーワードのデフォルト文字として扱うようにした。
　　[Ctrl]+[F]
変) 動作環境のその他にある「予備データを保存する」を「予備データを年月日で保存
　　する」に変更した。
　　もし、このオプションをOFFにして、予備データの保存先を指定すると、今使って
　　いるデータと同じファイルがいつも1個だけバックアップされることになる。
　　また、保存先フォルダ名を指定しない場合は、現在使っているデータと同じ場所に
　　「ひかるBackup」フォルダを作成して、そこに保存する。
修) 「備考も検索」を選択したときに検索されないデータがあるのを修正。
修) 期間を指定でデータ移動したときに日記が消える場合に対処した。

なお、このバージョンより、使用OSがWindows95(OSR2以下のバージョン)では
下記の「Windows Socket 2 Update」が必要になります。
http://www.microsoft.com/windows95/downloads/contents/wuadmintools/s_wunetworkingtools/w95sockets2/?RLD=114

2006/6/07 V9.32→V9.33

修) 口座/借入登録等での不具合回避のため文字制限半角20文字を外した。
　（基本的には20文字が基準なので印刷や表示では20文字までと考えてください）

2006/3/15 V9.30→V9.32

新) 動作環境の消費税の記入先項目を収入と支出で別々に設定可能にした。
修) Windows設定でウインドウの文字色を白にすると金額が印刷されない場合に対処。

2006/1/24 V9.29→V9.30

修) データのバックアップ先が存在しない場合に強制終了しないようにした。

2005/12/15 V9.26→V9.29

修) Windows95で起動しなくなっていたのを修正しました。
修) 集計モードで期間を固定にすると次回の起動時に表示期間が異常になるのを修正。
修) 起動時の表示モードが終了時のものと同一にならない場合があるのを修正。

2005/11/15 V9.25→V9.26

変) 予備データと履歴ファイルがOFFで[ひかるBackup]フォルダを作成しなようにした。
修) 詳細窓の縦方向の領域を画面いっぱいに表示するようにした。
修) 集計モードで起動したときに項目集計データが異常になるのを修正。
修) リボルビング手数料記入の異常を修正し、自動記入に設定されるようにした。
修) 詳細窓をキーボードでスクロールするときに反転行が全て表示されないのを修正。

2005/10/21 V9.23→V9.25

新) 日記に<前年>ボタンを追加した。
修) 検索窓の置換処理でエラーが出る場合に対応した。
修) 数字が入力可能な場所で演算をして[Enter]キーを入力したときの不具合修正。
   （5+7[Enter]で12にならないで最後に入力した7と表示されていた。）
修) インターネットバンキングで小数点以下を取り込めない問題を修正。
変) インターネットバンキングのデータ取り込み表のレイアウトを若干変更。

2005/5/08 V9.22→V9.23

新) カードの自動決済時に該当の借入データの備考に決済月を記入するようにした。
新) 動作環境のカレンダーで祝日の設定をできるようにした。
変) バックアップデータは年月日のフォルダを作成して保存するようにした。
修) 自動記入で毎回初回額のみ記入されることがある不具合を修正。
修) 起動時に特別品名で不要なスクロールバーが表示される場合に対処した。

2004/10/11 V9.21→V9.22

修) インターネットバンキング機能で、データ取込後の口座残高異常を修正。
修) 期間グラフで翌月前月の切り換え時に異常終了になる問題を修正。
修) ドライブの先頭にインストールできなくなっていたのを修正。
変) 残高監視メッセージの後に日記一覧を表示するように変更した。

2004/9/14 V9.19→V9.21

新) 戻す、やり直しをソフトを終了しても次回起動時に使えるようにした。
新) 検索の条件に金額を指定できるようにした。
新) 口座名変更で既存している口座名を指定することによって統合を可能にした。
新) 特別品名の操作や自動記入の操作もやり直しが出来るようにした。
変) 特別品名別集計ファイル出力に項目合計とその他を追加した。
修) リンクしたデータが削除できないものがある不具合を修正。

2004/8/19 V9.17→V9.19

変) 日別入力モードの時に項目窓のタイトル「日集計」を日付にした。
修) 口座監視で自動記入の他に入力済みデータも対象にするようにした。
修) インターネットバンキングのデータの取り込みでヘルプボタンの位置を修正。

2004/8/05 V9.16→V9.17

新) インターネットバンキングでのデータ取込を過去の取込結果を参照した。
  （口座、備考が同じ場合に過去の取込と同じ項目が選択されている状態）
修) 金額入力窓にカーソルが表示しなくなっていたのを修正。
修) カード登録がある場合に特別品名の上下移動でエラーになる問題に対処。

2004/7/22 V9.15→V9.16

新) 集計窓に口座残高,借入残高,総資産を表示する設定で印刷もするようにした。
修) データ検索の印刷で備考が用紙の余白位置まで印刷するように修正した。
修) エプソンPM−A850で印刷したときに金額欄が縦線に重なる問題を修正。
修) 透明な特別品名窓の設定で選択後電卓にフォーカスが移動しない問題を修正。

2004/7/19 V9.14→V9.15

修) 透明な電卓,特別品名窓の設定でメニューやパスワードが使えない問題を修正。

2004/7/17 V9.13→V9.14

変) 特別品名に変更で登録済の名前を使うことができるようにした。
修) ファイルの拡張子が無いファイルの読み込みでエラーにならないようにした。
修) カレンダーの表示設定がOnのデータファイル開いても表示されない場合に対処。

2004/4/8 V9.11→V9.13

新) 前週,翌週のアイコンを表示→ツールバーの変更で表示できるようにした。
変) 自動記入の確認で日付を変えると曜日も連動して表示するようにした。
修) 現金残高変更後、変更に用いた項目金額がすぐに反映されないのを修正。
修) 詳細窓で消費税記入をキャンセルした場合の項目窓が反映されないのを修正。
修) 集計モードで期首処理をしたときに集計結果表示が更新されるようにした。
修) TABキーで特別品名窓を表示すると↑↓キーで選択できなくなっていたのを修正。
修) 未登録口座が自動記入設定にあると起動時に登録画面が表示される事を修正。
修) カードの名前の変更できない場合が有る問題を修正。
修) カードの登録が有る場合に特別品名の上下移動でエラーになる問題に対処。

2003/12/25 V9.10→V9.11

修) 他のファイルからデータを取り込むがCEデータに対応していないのを修正。
修) インターネットバンキングで対象口座の変更でエラーになるのを修正。

V9.02→V9.10

新) 銀行のほかカード会社のインターネットバンキングにも対応した。
変) 敬老の日を9月第3月曜日に変更した。
変) カード決済の時期を12ヵ月後まで設定できるようにした。
修) 将来の記入予定があるときに口座の残高監視がうまくいかないのを修正。
修) 自動記入の設定を削除したものが反映されていない場合に対処。
修) 自動記入の特別額が実行されないパターンがるのを修正した。
修) アンインストール後に「アプリケーションの追加と削除」がハングアップ
    しないように対処。

V9.01→V9.02

修) 管理者権限のないユーザーでの実行ができなくなっていたのを修正。
修) カレンダー等の表示が画面から外れたときに画面内に収まるようにした。

V9.00→V9.01

修) 自動記入で指定した回数を過ぎて記載される場合がある問題を修正。

V8.99→V9.00

新) インターネットバンキングに対応した。
新) テキストファイル出力で日付の形式を選択可能にした。
修) 「金額入力時に電卓を表示する」がOFFのとき最初の電卓表示で過去の
    金額が反映されない問題を修正。
修) 変更できない口座があるのを修正。
修) 表の印刷をカラーに対応に修正。
修) 口座残高監視機能で自動記入で入金予定のある場合に対処した。

V8.98→V8.99

修) 口座間の金額移動の記入で項目合計に加算されていたのを修正。
修) １日消費目安が日付移動にともなって変化しないのを修正。
修) リボ払いの手数料（日割）の修正。
修) 自動記入の強制実行で口座の残高が狂ってしまう場合に対処。

V8.96→V8.98

修) 起動した日の口座残高も監視するようにした。
修) インストール時に動作しているひかるの終了方法を高速になるよう変更。
修) カードの締める月で今月に設定できなかったのを修正。
修) 出納帳モードで最後のデータの現金残高変更がエラーになるのを修正。
修) バックアップファイルの拡張子がKK1,KK2,,,になっていないのを修正。
修) 項目名のタイトルが表示モードによって変更されないのを修正。

V8.95→V8.96

修) 不要なメッセージ「金額ゼロのデータは入力できません」を削除。
修) CE版で作成したデータを読むと表が文字化けする問題を修正。
修) 自動記入の日付設定で固定モードの変更できないのを修正。

V8.94→V8.95

新) 詳細窓の残高をダブルクリックしたときの数値変更をサポートした。
変) 海の日を2003年以降は第3月曜日に変更。
修) 自動記入の新規追加で終了すると設定が保存されなくなっていたのを修正。
修) 印刷で口座借入の入出金が無いとき残高がゼロになってしまうのを修正。

V8.93→V8.94

新) 集計窓に総資産や口座残高合計,借入残高合計を表示できるようにした。
新) 自動記入の終了を回数または年月で指定可能にした。
修) 口座の入出金をすると、入力日以降の口座残高が正しくない問題を修正。
修) 新規借入の登録でエラーになる問題を修正。

V8.92→V8.93

新) 借入でリボ対応カード登録を追加。
変) 口座残高不足の監視を口座ごとに設定できるようにした。
修) 動作環境、コンビニのタブ位置の検出の見直しをした。

V8.88→V8.92

新) データ読み込み時に異常データの修復機能を追加した。
新) 特別品名窓、電卓、カレンダーの画面左上にシステムメニューを追加。
新) 総集計表にヘルプと資産増減を追加。
修) 口座を非表示にすると、詳細画面の口座編集で別口座が表示されるのを修正。
修) CE形式のデータファイルが正常に読み込めなくなっていたのを修正。

V8.88→V8.90

新) 自動記入の設定に口座残高不足の監視機能を追加した。
新) ツールバーの文字フォントを変更できるようにした
変) Windowsの地域と言語オプションが日本以外でも日本語表示するようにした。
変) 履歴データも予備データと同じフォルダに保存するように変更した。
修) 総集計表の貯蓄残高や総資産が異常な値になる問題を修正。
修) 表の行が選択されたときに文字がみえなくなっていたのを修正。
修) 表のフォントが変更されたとき検索結果の行間隔が狭いのを修正。
修) 一部の動作環境オプションの変更が更新されない場合に対処。
修) データ変更後に保存しないで期首処理前のデータが更新されない問題を修正。
修) その他、細かな内部変更。

V8.87→V8.88

新) 予備データを保存するオプションが選択されていて保存先フォルダが無指定の
    場合はデータと同じフォルダに「ひかるBackup」フォルダを作るようにした。
変) 検索、コンビニ等の画面の色をハイコントラストに対応。
修) 電卓を使わないとメインの金額入力欄に過去データが表示されない問題を修正。
修) 出納帳モードで起動したときに↑↓キーで項目選択ができない問題を修正。
修) 他のファイルからデータを読み込むが実行できなくなっていたのを修正。
修) Windows NTでセットアップができなくなっていたのを修正。
修) 全画面表示の切り替えでエラーになるようになってしまったのを修正。
修) インストール時に標準フォルダ以外が指定されているとき標準フォルダに
    ソフトを自己解凍しないようにした。
修) その他細かな修正。

V8.83→V8.87

新) 動作環境の表示に「口座間の金額移動は集計に加えない」を追加。
新) 特別品名の設定で一時的に品名を表示をOn/Offする機能を追加。
新) 書き込み権限のあるネットワークドライブからの実行に対応した。
新) 表示メニューに「表のフォント変更」を追加。
変) CSV形式の保存の時、金額の前後に"文字を追加。
修) 項目の削除後、戻すを実行するとメモリリークが発生するのを修正。
修) 自動記入一覧窓、コンビニ画面等の文字が化ける場合があるのを修正。
修) 予算と実績で非表示すると別の項目が非表示されることがある問題を修正。
修) 印刷プレビューで画面の拡大でスクロールすると画面が乱れるのを修正。
修) 現金以外での支出を入力したときに支出合計にすぐ反映しない問題を修正。
修) 金額がマイナスでグラフのポップアップ詳細が表示されない問題を修正

V8.78→V8.83

新) [戻す][やり直し]の機能を追加。
修) 期首処理ができなくなっていたのを修正。
修) 初めての使用でデータ作成後エラーになることがある問題を修正。
修) データの上書き保存後の終了でデータ保存を聞いてこないように修正。
修) calc.keyファイルを削除しないと起動できない場合に対処。
修) 出納帳モードで収入金額が表示されない問題を修正。
修) 出納帳モードで口座入力したときに同じデータが２つ表示される問題を修正。
修) 税金項目を削除すると動作が異常になる場合に対処。
修) データファイル切り替えで集計モードで画面が更新されない問題を修正。

V8.75→V8.78

新) [動作環境][表示]に[詳細窓で最後のデータを選択]オプションを追加
修) 起動時にエラーになる場合がある問題を修正。
修) 自動記入で実施日が毎月以外になっているものが動作していないのを修正。
修) 動作環境の一部オプション変更が更新されない問題を修正。
修) 貯蓄入等で新規登録したときに残高が正常表示されないことがある問題を修正。
修) 特別品名窓を右ボタンクリックで「特別品名の登録」メニュー表示を復活。
修) [他のファイルからデータを取り込む]が異常終了するのを修正。
修) 検索オプション「自動実行」がOFFのとき閉じるでエラーになる問題を修正。
修) データのコピー、貼り付けが使えなくなっていたのを修正。

V8.73→V8.75

新) データ削除後に、詳細画面で削除された位置を選択するようにした。
新) データ切り取りと削除を区別するため編集メニューに「品名データ削除」を追加。
新) 検索結果をダブルクリックしたときメイン画面の該当データを選択状態にした。
新) マウスホイールを回転したときのスクロール行数にWindowsの設定を採用した。
    またSHIFTキーを押しながら回転したときは1ページのスクロールにした。
新) カレンダーに前後の月の日も薄い色で表示するようにした。
変) 詳細データの複数選択する数の500件を撤廃しメモリ容量以外の制限無しとした。
変) 口座データ入力後に入力したデータが選択した状態で表示されるようにした。
修) 検索結果が少ないときに結果の一部が表示されないことがある不具合を修正。
修) 検索結果に表示されているデータを削除、移動で終了してしまうことを修正。
修) 自動記入で-1年-1月-1日で記入すると表示される場合があることを修正。
修) 出納帳モードをキャンセルした後で項目の下にあるスクロールバーのモード変更
    で詳細画面が更新されない問題を修正。
修) 電卓で<←税>ボタンで四則演算の計算途中数値が消えないように修正。


V8.60→V8.73

新) 検索結果を日付,項目名,品名,金額,備考でソート可能にした。
新) 大量のデータを検索中でも他の操作も同時に可能にした。
新) 動作環境の「休日」に「カレンダーを起動時に表示する」を追加。
新) 円グラフの日付タイトル部に[前月][翌月]を追加しクリックできるようにした。
新) データの履歴を９世代のファイルまで保存できるようにした。
新) データ異常でファイルが読み込めないときに履歴ファイルから読む機能を追加。
新) ソフトが動作中でも終了させてインストールができるようにした。
新) 読み込んだデータが無いときマイドキュメントを開くようにした。
変) 利用できる最大の年数を2035年から9999年に変更。
変) グラフの推移を表示できる期間を5年(60ヶ月)から30年(360ヶ月)に変更。
変) グラフのオプション「あいまい」を復活した。
変) ファイルリストをフルパスで表示するように変更。
変) 収入項目と支出項目に同一の項目名がある場合に対応した。
変) 他項目へ移動で同一特別品名があっても出来るようにした。
変) テキストファイル入力で金額がゼロの扱いを動作環境の入力オプションを参照。
変) カレンダーを大きさを変更し、面画面をアクティブになるように修正。
変) 備考入力窓で[HOME]キーを有効にした。
修) データのバックアップ後に変更したデータが更新されない事を修正。
修) 項目の追加/削除を行うと自動記入の移動元[現金]が他の項目になる事を修正。
修) 詳細窓にデータがない場合にメニュー等が選択できなくなる事を修正。
修) 他のファイルからデータを取り込む場合に項目の構成が違う場合に対応。
修) 右ボタンメニューのショートカットキーが使えなくなっていたので修正。
修) Windowsタスクバーが上方のときに一部の画面位置が固定しない問題を修正。
修) Windows2000等で備考入力で文字化けが発生する問題を修正。
修) 検索オプションが「全角,半角を区別」だけのとき正常に検索できない問題を修正。
修) その他、細かな修正。


【V1.1→V8.60】
   省略させて頂きます。

==============================================================================
以下は大きな事柄や流れです

2001/11/21  Windows XPに対応（Version8.51以降）
2000/08/05  Windows Meに対応（Version8.31以降）
1999/10/05  Windows 2000に対応（Version8.25以降）
1998/01/29  Windows CE用のバージョンを公開
1997/12/16  オンラインソフトウェア大賞'97金賞受賞
1997/09/18  Windows98対応とした
1995/09/17  32bit版Windows95対応、その後WindowsNTにも対応
1994/02/15  Ver1.0 NIFTY-ServeにWindows3.1版として公開
            国内初のWindows用家計簿ソフトとして正式公開された。
1992/10/20  Ver1.0β 国内初のWindows用16bit版家計簿ソフトとして公開。
1992/02/01  Ver0.1 DOS版よりWindows版へ移行を開始
1988/07/01  DOS版に移植されるパソコン通信NIFTYで公開。
1984/05/10  OS-9版に移植される。
1979/04/15  パソコン用BASIC版家計簿として誕生する。
==============================================================================
